﻿<?php

session_start();

require 'app/app.php';

if (!isset($_GET['chatId'])) {
	header("Location: index.php");
	die;
}

$chatId = $_GET['chatId'];
$chatInfo = App::getChatInfo($chatId);

if (!$chatInfo) {
	header("Location: index.php");
	die;
}

$onlineUsersCount = App::getOnlineUsersCount($chatId);

$error = false;
if ($_POST) {
	$chatData = App::joinToChatByUsername($chatId, $_POST['username']);
	if ($chatData) {
		$_SESSION['userId'] = $chatData['userId'];
		$chatId = $chatData['chatId'];
		header("Location: chat.php?chatId=$chatId");
		die;
	} else {
		$error = true;
	}
}

?>
<!doctype html>
<html>
<head>
	<title>Присоединение к чату «<?= $chatInfo['name'] ?>»</title>
	<link rel="stylesheet" href="static/bootstrap/css/bootstrap.min.css">
	<style>
	.layout {
		margin-top: 30px;
	}
	</style>
</head>
<body>

	<div class="layout">
		<div class="container">
			  <div class="card">
			  <div class="card-header">
				Присоединение к чату «<?= $chatInfo['name'] ?>»
				<small class="text-muted">
					(<?= $onlineUsersCount ?></span> онлайн)
				</small>
			  </div>
			  <div class="card-body">
			  
				<?php if($error): ?>
					<div class="alert alert-danger" role="alert">
						Имя занято, пожалуйста, выберите другое.
					</div>
				<?php endif ?>
			  
				<form method="POST">
					<div class="form-group">
						<label for="username">Имя пользователя</label>
						<input type="text" class="form-control" id="username" name="username" placeholder="Введите имя пользователя">
					
					</div>
					<button type="submit" class="btn btn-primary">Присоедениться</button>
				</form>
			  </div>
			</div>
		</div>
	</div>

</body>
<script src="static/jquery.min.js"></script>
<script src="static/bootstrap/js/bootstrap.min.js"></script>
</html>